Actions

Portal

Difference between revisions of "Upgrading Versions"

From Joomla! Documentation

(saving to preserve edits)
 
m (Upgrading: more to section)
Line 11: Line 11:
 
Before you upgrade, you will have to do some homework. The information you will need includes the following: template compatibility, installed extensions compatibility, will the positions of modules change with a new or upgraded template, and should this be a 'live'(www viewable) upgrade or an 'offline'(localhost, subdomain or subfolder) upgrade. Above all, realise without the correct preparation and knowledge, you may break your site.
 
Before you upgrade, you will have to do some homework. The information you will need includes the following: template compatibility, installed extensions compatibility, will the positions of modules change with a new or upgraded template, and should this be a 'live'(www viewable) upgrade or an 'offline'(localhost, subdomain or subfolder) upgrade. Above all, realise without the correct preparation and knowledge, you may break your site.
  
 +
===Upgrading to 3.x===
 
Upgrading 1.6.5, 1.6.6, 1.7.x, 2.5.x to 3.x is covered by the following article.
 
Upgrading 1.6.5, 1.6.6, 1.7.x, 2.5.x to 3.x is covered by the following article.
 
*[[J3.1:Upgrading from an existing version|Upgrading your version of Joomla! CMS {{CurrentSTSVer|minor}}]]
 
*[[J3.1:Upgrading from an existing version|Upgrading your version of Joomla! CMS {{CurrentSTSVer|minor}}]]
 +
 +
===Upgrating to 2.5===
 
Upgrading 1.6.5, 1.6.6, 1.7.x, to 2.5 is covered by the following article.
 
Upgrading 1.6.5, 1.6.6, 1.7.x, to 2.5 is covered by the following article.
 
*[[J2.5:Upgrading from an existing version|Upgrading your version of Joomla! CMS 2.5]]
 
*[[J2.5:Upgrading from an existing version|Upgrading your version of Joomla! CMS 2.5]]
  
You must upgrade to Version 1.7 first if you are on version 1.6.
+
===Upgrading from 1.6.x(not 1.6.5 or 1.6.6 Versions)===
 +
You must upgrade to Version 1.7 first if you are on version of 1.6 below the maintenance release of 1.6.5.
 
*[[Upgrading 1.6.5 to 1.7|Upgrading Version 1.6.5 or 1.6.6 to Version 1.7]]
 
*[[Upgrading 1.6.5 to 1.7|Upgrading Version 1.6.5 or 1.6.6 to Version 1.7]]
 +
 +
==Migrating==
 
If you are using Version 1.5 this requires a migration because of Database changes.
 
If you are using Version 1.5 this requires a migration because of Database changes.
 
*[[Migrating from Joomla 1.5 to Joomla 2.5]]
 
*[[Migrating from Joomla 1.5 to Joomla 2.5]]

Revision as of 19:38, 8 September 2013

Before you begin, it is essential you know what version of Joomla! you are using. This is especially true if you are changing a major version. If you are already confused or don't know what a major version is, you should read more about the release and support cycle of Joomla! CMS Versions.

In a quick summary, Joomla! is released with the following version designations, [major].[minor].[maintenance]. So version 3.1.5 is Joomla! major version 3, minor 1, and maintenance release 5. Since version 1.7, the updating and upgrading of Joomla! are built into the administration interface as a component. The terms updating and upgrading might be used interchangeably. In many ways updating and upgrading are alike, but you should pay very close attention to the details of an upgrade. Upgrades would be defined as a major.minor(2.5) to a different major.minor(3.1) version or a major.minor(3.0) to a major.new minor(3.1).

Contents

Simple Updates

Updates are simple updates to the next maintenance release, for example version 2.5.13 to version 2.5.14. This would be a maintenance release of the 2.5 version.

Upgrading

Before you upgrade, you will have to do some homework. The information you will need includes the following: template compatibility, installed extensions compatibility, will the positions of modules change with a new or upgraded template, and should this be a 'live'(www viewable) upgrade or an 'offline'(localhost, subdomain or subfolder) upgrade. Above all, realise without the correct preparation and knowledge, you may break your site.

Upgrading to 3.x

Upgrading 1.6.5, 1.6.6, 1.7.x, 2.5.x to 3.x is covered by the following article.

Upgrating to 2.5

Upgrading 1.6.5, 1.6.6, 1.7.x, to 2.5 is covered by the following article.

Upgrading from 1.6.x(not 1.6.5 or 1.6.6 Versions)

You must upgrade to Version 1.7 first if you are on version of 1.6 below the maintenance release of 1.6.5.

Migrating

If you are using Version 1.5 this requires a migration because of Database changes.